spec:
  template:
    spec:
      containers:
      - command:
        - /var/run/argocd/argocd-cmp-server
        image: registry.gitlab.com/oceanbox/manifests/helmfile-cmp:latest
        imagePullPolicy: Always
        name: helmfile-cmp
        securityContext:
          runAsNonRoot: true
          runAsUser: 999
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /var/run/argocd
          name: var-files
        - mountPath: /home/argocd/cmp-server/plugins
          name: plugins
        - mountPath: /tmp
          name: cmp-tmp
        - mountPath: /helm-working-dir
          name: helm-working-dir
